<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
</head>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logo.png"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-slideshow-example" href="#">HOME</a></li>
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">CHI TIẾT BĐS</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-dp-upside"
            href="#">LÝ DO SỞ HỮU</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">TIỆN ÍCH</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">LIÊN HỆ</a></li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
    <div role="list">
      <div class="slide">
        <img src="images/home2.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home3.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home1.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home4.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home5.jpg" width="100%" alt="">
      </div>
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color mb-4">Chi tiết căn hộ</h2>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Thuộc dự án</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-project" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Khách hàng</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-customer" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mã căn hộ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-apartCode" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Địa chỉ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-address" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Tỉnh thành</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-province" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Quận huyện</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-district" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <img id="detail-img-realEstate" width="100%">
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Diện tích BĐS</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-acreage" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mô tả chi tiết</h5>
              </div>
              <div class="col-md-8 form-group">
                <textarea id="detail-inp-description" type="text" rows="4" class="form-control" disabled></textarea>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng ngủ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bedroom" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng tắm</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bath" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Giá bán</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-price" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>


  <!-- 3. dp-upside -->
  <div class="container paddding-navbar" id="dp-upside">
    <h2 class="title-text-color text-center border-top p-3">Những ưu điểm tạo nên DP Real Estate</h2>
    <div class="text-center mt-3 mb-5">

    </div>
    <div class="row mt-3 mb-5">
      <div class="col-sm-6 pr-3 align-self-center">
        <img src="images/about1.png" width="100%">
      </div>
      <div class="col-sm-6">
        <div class="row form-group mt-4">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/doller.png">
          </div>
          <div class="col-sm-10">
            <div>
              <h3>DỄ DÀNG SỞ HỮU</h3>
              <p>Có nhiều mức giá phù hợp với lựa chọn của khách hàng. Với mức giá cực kỳ tốt và được đánh giá là
                cực "hời" dành cho các nhà đầu tư.</p>
            </div>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/location.png">
          </div>
          <div class="col-sm-10">
            <div>
              <h3>DỰ ÁN VÀNG</h3>
              <p>Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không
                gian hài hòa với thiên nhiên.</p>
            </div>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/trusted.png">
          </div>
          <div class="col-sm-10">
            <div>
              <h3>CHẤT LƯỢNG DỰ ÁN</h3>
              <p>Làm việc với những CĐT có uy tín lớn trên quốc gia. Với sự giám sát xây dựng chặt chẽ từ CĐT và cùng
                đội ngũ nhà thầu chính</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h2 class="title-text-color text-center border-top p-3">NƠI AN CƯ LÝ TƯỞNG</h2>
    <div class="row">
      <div class="col-sm-4">
        <h5 class="mb-4">_ Sở hữu nhiều dự án tọa lạc tại những vị trí trung tâm.</h5>
        <h5 class="mb-4">_ Thừa hưởng toàn bộ hệ thống tiện ích vô cùng đa dạng:</h5>
        <h6 class="mb-4">+ Công viên 30ha</h6>
        <h6 class="mb-4">+ TTTM Vincom Mega Mall</h6>
        <h6 class="mb-4">+ Đại lộ mua sắm giải trí thời thượng</h6>
        <h6 class="mb-4">+ Bệnh viện quốc tế</h6>
        <h6 class="mb-4">+ Hệ thống trường liên cấp quốc tế</h6>
        <h6 class="mb-4">+ Tháp văn phòng cao cấp</h6>
      </div>
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/utilities/utility1.jpg" alt="First slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility2.jpg" alt="Second slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility3.jpg" alt="Third slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility4.jpg" alt="Forth slide">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- 5. Contact us -->
  <div class="container paddding-navbar" id="contact-us">
    <h2 class="title-text-color text-center border-top p-3">LIÊN HỆ & CHÍNH SÁCH BÁN HÀNG</h2>
    <div class="row">
      <div class="col-sm-4">
        <div class="form-group">
          <h4 class="mb-4">Chính sách bán hàng:</h4>
          <h5>_Chính sách vay ưu đãi 80%:</h5>
          <p>1. Đặt cọc: 100 triệu đồng.</p>
          <p>2. Quý khách chỉ phải thanh toán 15% giá trị căn hộ kí HĐMB (bao gồm phí đặt cọc) trong năm đầu. Sau đó
            nhận nhà ở và sử dụng tất cả các tiện ích tại dự án.</p>
          <p>3. Ngân hàng giải ngân 80% (Ngân hàng cho vay tối đa 30 năm).</p>
          <p>4. Cấp sổ: Thanh toán 5%.</p>
        </div>
        <div class="form-group">
          <h5 class="mb-4">_Quý khách có thể đăng ký (điền dầy đủ thông tin) để nhận tư vấn hoặc liên hệ hotline bên
            dưới.</h5>
          <h4 class="text-danger">HOTLINE: 0901234000</h4>
        </div>
      </div>
      <div class="col-sm-8">
        <div class="jumbotron">
          <h4 class="text-center mb-4">Đăng ký để được tư vấn về phương án giao dịch tốt nhất</h4>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Họ & tên</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-fullname" type="text" class="form-control" placeholder="Họ & tên">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Email</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-email" type="text" class="form-control" placeholder="Email">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Phone</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-phone" type="text" class="form-control" placeholder="Số điện thoại">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Lời nhắn</h5>
            </div>
            <div class="col-sm-10">
              <textarea id="input-note" type="text" class="form-control" rows="3"
                placeholder="Nội dung lời nhắn"></textarea>
            </div>
          </div>
          <div class="form-group text-right">
            <button class="btn btn-primary"><b>ĐĂNG KÝ</b></button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer bg-dark py-4">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-sm-4 text-white">Copyright &copy; Website 2022</div>
        <div class="row col-sm-4 my-3 my-lg-0">
          <h5 class="text-white mt-2 mr-3">Follow us</h5>
          <a class="btn btn-dark btn-social mx-2"><i class="fab fa-twitter"></i></a>
          <a class="btn btn-dark btn-social mx-2"><i class="fab fa-facebook-f"></i></a>
          <a class="btn btn-dark btn-social mx-2"><i class="fa-brands fa-youtube"></i></a>
        </div>
        <div class="col-sm-4 text-white mt-2 ">
          <h5>Contact Us | Hotline: 0901234000</h5>
        </div>
      </div>
    </div>
  </footer>


</body>

<script>
  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-dp-upside").click(function () {
      $('html, body').animate({
        scrollTop: $("#dp-upside").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vRealEstateId = vUrlObject.searchParams.get("realEstateId");
      if (vRealEstateId != null) {
        callApiGetRealEstateById(vRealEstateId);
      } else {
        alert("Không có dữ liệu RealEstateId.");
        window.location.href = "index.html";
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    // Hàm gọi api lấy dữ liệu BĐS bằng Id
    function callApiGetRealEstateById(paramRealEstateId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          console.log(paramResponseObj);
          loadDataToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm load dữ liệu vào form
    function loadDataToForm(paramRealEstate) {
      "use strict";
      $("#detail-inp-project").val(paramRealEstate.project.name);
      $("#detail-inp-customer").val(paramRealEstate.customer.contactName);
      $("#detail-inp-apartCode").val(paramRealEstate.apartCode);
      $("#detail-inp-address").val(paramRealEstate.address);
      $("#detail-inp-province").val(paramRealEstate.project._district.name);
      $("#detail-inp-district").val(paramRealEstate.project._district._province.name);

      $("#detail-inp-acreage").val(paramRealEstate.acreage);
      $("#detail-inp-bedroom").val(paramRealEstate.bedroom);
      $("#detail-inp-bath").val(paramRealEstate.bath);
      $("#detail-inp-price").val(paramRealEstate.price);
      $("#detail-inp-description").val(paramRealEstate.description);
      $("#detail-img-realEstate").attr("src", paramRealEstate.photo);

    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../AdminFrontEnd/index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

  });

</script>

</html>